## tokyocabinet 1.1.0

=== example/Makefile ===
# Makefile for sample programs of Hyper Estraier



#================================================================
# Setting Variables
#================================================================


# Generic settings
SHELL = /bin/sh

# Targets
MYBINS = tcutilex tchdbex tcbdbex

# Building binaries
CC = gcc
CFLAGS = -ansi -Wall -pedantic -I. -I.. -Wall
LDFLAGS =
LIBS = -L. -L.. -ltokyocabinet -lz -lpthread -lm -lc
LDENV = LD_RUN_PATH=/lib:/usr/lib:$(HOME)/lib:/usr/local/lib:.:..



#================================================================
# Suffix rules
#================================================================


.SUFFIXES :
.SUFFIXES : .c .o

.c.o :
	$(CC) -c $(CFLAGS) $<



#================================================================
# Actions
#================================================================


all : $(MYBINS)


clean :
	rm -rf $(MYBINS) *.exe *.o a.out check.out gmon.out leak.log casket* *~


.PHONY : all clean



#================================================================
# Building binaries
#================================================================


tcutilex : tcutilex.o
	 $(LDENV) $(CC) $(CFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)


tchdbex : tchdbex.o
	 $(LDENV) $(CC) $(CFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)


tcbdbex : tcbdbex.o
	 $(LDENV) $(CC) $(CFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)



# END OF FILE

## tokyocabinet 1.2.1

=== bros/Makefile ===
# Makefile for writing tests of DBM brothers



#================================================================
# Setting variables
#================================================================


# Generic settings
SHELL = /bin/sh

# Targets
MYBINS = tctest qdbmtest ndbmtest sdbmtest gdbmtest tdbtest cdbtest bdbtest



#================================================================
# Suffix rules
#================================================================


.SUFFIXES :



#================================================================
# Actions
#================================================================


mesg :
	@echo "Here are writing tests of DBM brothers." 1>&2
	@echo "select a target of {all clean $(MYBINS)}." 1>&2


all : $(MYBINS)


clean :
	rm -rf $(MYBINS) *.o *.exe a.out casket* *~


distclean : clean



#================================================================
# Building binaries
#================================================================


tctest : tctest.c
	LD_LIBRARY_PATH="$(LD_LIBRARY_PATH):.:.." ; PATH="$(PATH):.:.." ; \
	  export LD_LIBRARY_PATH PATH ; ldflags=`tcucodec conf -l` ; \
	  [ -z "$$ldflags" ] && \
	    ldflags="-L/usr/local/lib -ltokyocabinet -lz -lpthread -lm -lc" ; \
	  gcc -I.. -I/usr/local/include -D_GNU_SOURCE=1 \
	    -Wall -ansi -pedantic -O3 -o $@ tctest.c \
	    -static -L. -L.. $$ldflags


qdbmtest : qdbmtest.c
	gcc -I.. -I/usr/local/include -D_GNU_SOURCE=1 \
	  -Wall -ansi -pedantic -O3 -o $@ qdbmtest.c \
	  -static -L.. -L/usr/local/lib -lqdbm -lz -lc


ndbmtest : ndbmtest.c
	gcc -I/usr/local/include -D_GNU_SOURCE=1 \
	  -Wall -ansi -pedantic -O3 -o $@ ndbmtest.c \
	  -static -L/usr/local/lib -lndbm -lc


sdbmtest : sdbmtest.c
	gcc -I/usr/local/include -D_GNU_SOURCE=1 \
	  -Wall -ansi -pedantic -O3 -o $@ sdbmtest.c \
	  -static -L/usr/local/lib -lsdbm -lc


gdbmtest : gdbmtest.c
	gcc -I/usr/local/include -D_GNU_SOURCE=1 \
	  -Wall -ansi -pedantic -O3 -o $@ gdbmtest.c \
	  -static -L/usr/local/lib -lgdbm -lc


tdbtest : tdbtest.c
	gcc -I/usr/local/include -D_GNU_SOURCE=1 \
	  -Wall -ansi -pedantic -O3 -o $@ tdbtest.c \
	  -static -L/usr/local/lib -ltdb -lc


cdbtest : cdbtest.c
	gcc -I/usr/local/include -D_GNU_SOURCE=1 \
	  -Wall -ansi -pedantic -O3 -o $@ cdbtest.c \
	  -static -L/usr/local/lib -lcdb -lc


bdbtest : bdbtest.c
	gcc -I/usr/local/bdb/include -D_GNU_SOURCE=1 \
	  -Wall -O3 -o $@ bdbtest.c \
	  -static -L/usr/local/bdb/lib -ldb -lpthread -lc



# END OF FILE

=== example/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 SHELL = /bin/sh
 
 # Targets
-MYBINS = tcutilex tchdbex tcbdbex
+MYBINS = tcutilex tchdbex tcbdbex tcadbex
 
 # Building binaries
 CC = gcc
@@ -57,15 +57,19 @@
 
 
 tcutilex : tcutilex.o
-	 $(LDENV) $(CC) $(CFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)
+	$(LDENV) $(CC) $(CFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)
 
 
 tchdbex : tchdbex.o
-	 $(LDENV) $(CC) $(CFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)
+	$(LDENV) $(CC) $(CFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)
 
 
 tcbdbex : tcbdbex.o
-	 $(LDENV) $(CC) $(CFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)
+	$(LDENV) $(CC) $(CFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)
+
+
+tcadbex : tcadbex.o
+	$(LDENV) $(CC) $(CFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)

## tokyocabinet 1.4.23

=== example/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 SHELL = /bin/sh
 
 # Targets
-MYBINS = tcutilex tchdbex tcbdbex tcadbex
+MYBINS = tcutilex tchdbex tcbdbex tcfdbex tctdbex tcadbex
 
 # Building binaries
 CC = gcc
@@ -68,6 +68,14 @@
 	$(LDENV) $(CC) $(CFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)
 
 
+tcfdbex : tcfdbex.o
+	$(LDENV) $(CC) $(CFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)
+
+
+tctdbex : tctdbex.o
+	$(LDENV) $(CC) $(CFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)
+
+
 tcadbex : tcadbex.o
 	$(LDENV) $(CC) $(CFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)

## tokyocabinet 1.4.37

=== debian/changelog ===
tokyocabinet (1.4.37-6ubuntu1) natty; urgency=low

  * Fix FTBFS with ld --no-add-needed.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Jan 2011 23:01:51 +0100

tokyocabinet (1.4.37-6) unstable; urgency=high

  * Woops, the test-suite was incorrectly disabled, enable it again.
  * Bump the urgency to high as this fixes the last RC issue of the package
    (unbuildable on s390). The RC bug isn't closed as it isn't really an
    tokyocabinet bug but likely a glibc one (see #555540).

 -- Pierre Habouzit <madcoder@debian.org>  Wed, 19 May 2010 23:36:27 +0200

tokyocabinet (1.4.37-5) unstable; urgency=low

  * Move to debhelper 7.
  * Switch to dpkg-source 3.0 (quilt) format
  * Disable pthread support on s390, hopefully fixing the test-suite for now.

 -- Pierre Habouzit <madcoder@debian.org>  Wed, 19 May 2010 23:21:30 +0200

tokyocabinet (1.4.37-4) unstable; urgency=high

  * Disable the test-suite on armel until the buildds kernels are fixed.

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 07 Feb 2010 11:14:51 +0100

tokyocabinet (1.4.37-3) unstable; urgency=low

  * The "succeeding in contacting upstream helps" upload:
    + Add upstream patch Fix FTBFS on sparc.
    + Disable UCB on hppa (Closes: #531993) as upstream suggests.

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 12 Nov 2009 12:59:30 +0100

tokyocabinet (1.4.37-2) unstable; urgency=low

  * Add patches/0004-Cherry-pick-alignment-fixes-from-1.4.38.patch to try to
    fix SIGBUSes on sparc and hppa.
  * Fix section for libtokyocabinet-dbg (Use debug).

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 10 Nov 2009 21:57:05 +0100

tokyocabinet (1.4.37-1) unstable; urgency=low

  * New upstream release (Closes: #508835, #530966).
  * Add debian/watch file thanks to Chris Lamb.
  * Add patches/0003-Readd-alias-symbols-for-tcmpoolput-APIS.patch to avoid
    ABI bump.
  * Move tokyocabinet packaging to collab-maint.

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 08 Nov 2009 16:12:00 +0100

tokyocabinet (1.4.23-1) unstable; urgency=low

  * New upstream release.
  * Update symbols file.

 -- Pierre Habouzit <madcoder@debian.org>  Sat, 30 May 2009 17:46:41 +0200

tokyocabinet (1.4.14-2) unstable; urgency=low

  * Upload to unstable this time.

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 14 Apr 2009 00:16:18 +0200

tokyocabinet (1.4.14-1) experimental; urgency=low

  * New upstream release.
  * Add missing build-depend on libbz2-dev (Closes: #505317).
  * Fix package installation of manpages (Closes: #506948).
  * Bump soname (libtokyocabinet8).

 -- Pierre Habouzit <madcoder@debian.org>  Mon, 13 Apr 2009 14:22:02 +0200

tokyocabinet (1.3.15-2) experimental; urgency=low

  * Add patches/0003-remove-HOME-use-in-CPPFLAGS-and-friends.patch to make
    tokyocabinet build again. (Closes: #505171).

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 11 Nov 2008 08:15:12 +0100

tokyocabinet (1.3.15-1) experimental; urgency=low

  * New upstream release (Closes: #489784).
  * Rename library packages for soname bump (3 -> 5).
  * Update symbols file.
  * Bump standards version to 3.8.0 (No changes required).

 -- Pierre Habouzit <madcoder@debian.org>  Mon, 03 Nov 2008 15:46:49 +0100

tokyocabinet (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * Bump packages sonames (libtokyocabinet2 -> libtokyocabinet3).
  * Update symbols file.

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 06 Apr 2008 11:20:19 +0200

tokyocabinet (1.1.15-2) unstable; urgency=low

  * debian/rules: use proper dbg package name.

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 24 Feb 2008 14:11:24 +0100

tokyocabinet (1.1.15-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
     + Remove soname from -dbg package name.
     + Rename libtokyocabinet1 into libtokyocabinet2.
  * Refresh patches:
     + drop 0003-debian-packaging-refresh-autotools.patch, upstream autotools
       are up to date.

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 24 Feb 2008 11:25:01 +0100

tokyocabinet (1.1.10-2) unstable; urgency=high

  * libtokyocabinet-dev.install: wildcard /usr/include/*.h to install _every_
    headers (Closes: 463057).
  * Bump urgency to high as 10-1 with a missing header migrated to testing and
    needs the missing header badly.

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 29 Jan 2008 19:23:28 +0100

tokyocabinet (1.1.10-1) unstable; urgency=low

  * New upstream release.
  * Bump shlibs for new symbols.

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 17 Jan 2008 23:09:15 +0100

tokyocabinet (1.1.7-1) unstable; urgency=low

  * New upstream release.
  * Bump shlibs for new symbols.

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 03 Jan 2008 09:59:55 +0100

tokyocabinet (1.1.6-2) unstable; urgency=low

  * That was aimed at unstable in the first place…

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 25 Dec 2007 18:53:37 +0100

tokyocabinet (1.1.6-1) experimental; urgency=low

  * New upstream release.
  * Refresh Avoid-LDENV-to-avoid-rpaths.patch for the new binary.
  * debian/libtokyocabinet1.symbols:
     + remove the debian revisions from the package versions.
     + update file with new symbols, bump shlibs.
  * debian/rules:
     + honour DEB_BUILD_OPTIONS=noopt.
     + honour DEB_BUILD_OPTIONS=nocheck.

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 25 Dec 2007 10:18:01 +0100

tokyocabinet (1.1.4-1) experimental; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.7.3, no changes required.
  * Bump shlibs for new symbols.

 -- Pierre Habouzit <madcoder@debian.org>  Wed, 19 Dec 2007 11:55:27 +0100

tokyocabinet (1.1.3-1) experimental; urgency=low

  * New upstream release.
  * Add a symbols files (fake one from 1.1.0-2 for that matter).
  * Bump shlibs for new symbols.
  * Upload to experimental given my high confidence in the whole system.

 -- Pierre Habouzit <madcoder@debian.org>  Mon, 17 Dec 2007 11:39:46 +0100

tokyocabinet (1.1.0-2) unstable; urgency=low



=== debian/control ===
Source: tokyocabinet
Priority: extra
Maintainer: Pierre Habouzit <madcoder@debian.org>
Build-Depends:
 autotools-dev,
 chrpath,
 debhelper (>= 7.0.50),
 libbz2-dev,
 zlib1g-dev
Standards-Version: 3.8.4
Vcs-Browser: http://git.debian.org/?p=collab-maint/tokyocabinet.git;a=summary
Vcs-Git: git://git.debian.org/git/collab-maint/tokyocabinet.git
Section: libs

Package: libtokyocabinet8
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tokyo Cabinet Database Libraries [runtime]
 Tokyo Cabinet is an efficient database library like GDBM and NDBM.
 It features hash database and B+ tree database and is developed as the
 successor of QDBM, for the purpose of the following three points: higher
 processing speed, smaller size of a database file, and simpler API.
 .
 This is the runtime package for programs that use the Tokyo Cabinet database
 library.

Package: libtokyocabinet-dbg
Section: debug
Architecture: any
Depends: libtokyocabinet8 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Tokyo Cabinet Database Libraries [runtime]
 Tokyo Cabinet is an efficient database library like GDBM and NDBM.
 It features hash database and B+ tree database and is developed as the
 successor of QDBM, for the purpose of the following three points: higher
 processing speed, smaller size of a database file, and simpler API.
 .
 This is the debugging symbols for the Tokyo Cabinet database library.

Package: libtokyocabinet-dev
Section: libdevel
Architecture: any
Depends: libtokyocabinet8 (= ${binary:Version}), ${misc:Depends}
Description: Tokyo Cabinet Database Libraries [development]
 This is the development package which contains headers and static libraries
 for the Tokyo Cabinet database library.

Package: tokyocabinet-doc
Architecture: all
Section: doc
Priority: optional
Depends: ${misc:Depends}
Description: Tokyo Cabinet Database Documentation
 Documentation for all of the API's and utilities provided by Tokyo Cabinet.

Package: tokyocabinet-bin
Architecture: any
Section: utils
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tokyo Cabinet Database Utilities
 Tokyo Cabinet is an efficient database library like GDBM and NDBM.
 It features hash database and B+ tree database and is developed as the
 successor of QDBM, for the purpose of the following three points: higher
 processing speed, smaller size of a database file, and simpler API.
 .
 This is the Tokyo Cabinet Database utilities package.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -g -Wall -Wextra $(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),-O0,-O2)
LDFLAGS= -Wl,-z,defs

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

srcpkg = $(shell dpkg-parsechangelog | sed -ne 's/Source: *//p')
srcver = $(shell dpkg-parsechangelog | sed -ne 's/Version: *\(.*:\)\?\(.*\)-.*$$/\2/p')
libpkg = $(shell  sed -ne 's/Package: *\(.*\)-dbg/\1/p' debian/control)

#{{{ generic rules

../$(srcpkg)_$(srcver).orig.tar.gz:
	@if git rev-parse --git-dir >/dev/null 2>&1; then                 \
	    pristine-tar checkout $@;                                     \
	fi

check-tarball: ../$(srcpkg)_$(srcver).orig.tar.gz

.PHONY: check-tarball

#}}}
#{{{ maintainer stuff

refresh-patches: check-tarball
	@dh_testdir
	@echo 'refreshing debian/patches:'
	@rm -rf '$(CURDIR)'/debian/patches
	@mkdir -p '$(CURDIR)'/debian/patches
	@cd '$(CURDIR)'/debian/patches && git format-patch upstream..upstream+patches
	@cd debian/patches && ls *.patch > debian/patches/series
	@echo .

#}}}

%:
	dh $@ --parallel

override_dh_auto_configure: check-tarball
	dh_auto_configure -- \
	    $(if $(findstring $(DEB_BUILD_ARCH),s390),--disable-pthread) \
	    --enable-devel --enable-off64 --enable-swab \
	    \
	    CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"

override_dh_auto_test:
	$(if $(findstring $(DEB_BUILD_ARCH),armel)$(findstring nocheck,$(DEB_BUILD_OPTIONS)),,$(MAKE) check)

override_dh_shlibdeps:
	dh_shlibdeps -L$(libpkg) -ldebian/$(libpkg)/usr/lib

clean:
	dh $@
	! test -e Makefile || $(MAKE) distclean
	rm -f build-*-stamp

override_dh_strip:
	dh_strip --dbg-package=libtokyocabinet-dbg

=== debian/watch ===
version=3
http://sf.net/tokyocabinet/tokyocabinet-([\d\.-]+)\.tar\.gz

## tokyocabinet 1.4.47

=== debian/changelog ===
tokyocabinet (1.4.47-2) unstable; urgency=low

  * Package is now maintained in an new git repository.
  * Set package priority of libtokyocabinet-dev to extra.
  * Add Multi-Arch support
  * Set d/compat 9
  * Cleanup d/rules

 -- Tobias Frost <tobi@coldtobi.de>  Mon, 30 Apr 2012 13:52:17 +0200

tokyocabinet (1.4.47-1) unstable; urgency=low

  * New maintainer. (Closes: #650830)
  * new upstream release (Closes: #578745)
  * Removed patch 0004-Cherry-pick-alignment-fixes-from-1.4.38.patch
  * Refreshed patch 0002-Avoid-LDENV-to-avoid-rpaths.patch
  * Rewrote 0006-disable-UBC-feature-on-hppa-since-it-causes-test-
    sui.patch

 -- Tobias Frost <tobi@coldtobi.de>  Mon, 12 Mar 2012 09:59:59 +0100

tokyocabinet (1.4.37-9) unstable; urgency=low

  * QA upload.
  * Fix for SIGBUS applied also for mips (Closes: #659554)
  * Re-enabled test suite on armel (Closes: #661685)
  * Lintian fixes for
      - no-homapege-field
      - copyright-refers-to-symlink-license
  * As upstream does not use sf.net for releases anymore, removing
    the watchfile. Adding a lintian override for this.
  * Bumped S-V to 3.9.3, only change required was to update
    debian/copyright
  * Do not install docs a second time under /usr/share/tokyocabinet.

 -- Tobias Frost <tobi@coldtobi.de>  Thu, 01 Mar 2012 11:14:14 +0100

tokyocabinet (1.4.37-8) unstable; urgency=low

  * QA upload.
  * Fix for SIGBUS on mipsel. (Closes: #659554)
  * Extending several package descriptions, as they were too short
    (fixes lintian informational warnings)
  * Renamed patches to have same naming scheme

 -- Tobias Frost <tobi@coldtobi.de>  Wed, 29 Feb 2012 08:30:02 +0100

tokyocabinet (1.4.37-7) unstable; urgency=low

  * QA upload
  * Orphaned for more than 14 days: Setting maintainer to QA.
  * Disable pthread support on s390x (Closes: #638625)
  * Do not use msync-syscall on hurd (Closes: #659510)
  * update -dbg Package description (Closes: #596502)
  * Fixes lintian warning "manpage-section-mismatch"
  * Fixes lintian warning "debug-package-should-be-priority-extra"
    on libtokyocabinet-dbg

 -- Tobias Frost <tobi@coldtobi.de>  Sat, 11 Feb 2012 19:22:42 +0100

tokyocabinet (1.4.37-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: switch Priority to standard (Closes: 609115)
  * debian/patches:
    + 0007-fix-FTBFS-with-binutils-gold.patch (Closes: 556496)

 -- Antonio Radici <antonio@dyne.org>  Sat, 23 Apr 2011 10:09:15 +0100

=== debian/control ===
Source: tokyocabinet
Section: libs
Priority: standard
Maintainer: Tobias Frost <tobi@coldtobi.de>
Build-Depends: autotools-dev,
               chrpath,
               debhelper (>= 9),
               libbz2-dev,
               zlib1g-dev
Standards-Version: 3.9.3
Homepage: http://fallabs.com/tokyocabinet/
Vcs-Browser: https://gitorious.org/tokyocabinet-debian/tokyocabinet-debian/trees/master
Vcs-Git: http://git.gitorious.org/tokyocabinet-debian/tokyocabinet-debian.git

Package: libtokyocabinet9
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support, ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tokyo Cabinet Database Libraries [runtime]
 Tokyo Cabinet is an efficient database library like GDBM and NDBM.
 It features hash database and B+ tree database and is developed as the
 successor of QDBM, for the purpose of the following three points: higher
 processing speed, smaller size of a database file, and simpler API.
 .
 This is the runtime package for programs that use the Tokyo Cabinet database
 library.

Package: libtokyocabinet-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libtokyocabinet9 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Tokyo Cabinet Database Libraries [debug]
 Tokyo Cabinet is an efficient database library like GDBM and NDBM.
 It features hash database and B+ tree database and is developed as the
 successor of QDBM, for the purpose of the following three points: higher
 processing speed, smaller size of a database file, and simpler API.
 .
 This is the debugging symbols for the Tokyo Cabinet database library.

Package: libtokyocabinet-dev
Section: libdevel
Priority: extra
Architecture: any
Depends: libtokyocabinet9 (= ${binary:Version}), ${misc:Depends}
Description: Tokyo Cabinet Database Libraries [development]
 Tokyo Cabinet is an efficient database library like GDBM and NDBM.
 It features hash database and B+ tree database and is developed as the
 successor of QDBM, for the purpose of the following three points: higher
 processing speed, smaller size of a database file, and simpler API.
 .
 This is the development package which contains headers and static libraries
 for the Tokyo Cabinet database library.

Package: tokyocabinet-doc
Architecture: all
Section: doc
Priority: optional
Depends: ${misc:Depends}
Description: Tokyo Cabinet Database Documentation
 Tokyo Cabinet is an efficient database library like GDBM and NDBM.
 It features hash database and B+ tree database and is developed as the
 successor of QDBM, for the purpose of the following three points: higher
 processing speed, smaller size of a database file, and simpler API.
 .
 This package contains documentation for all of the API's and utilities
 provided by Tokyo Cabinet.

Package: tokyocabinet-bin
Architecture: any
Section: utils
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tokyo Cabinet Database Utilities
 Tokyo Cabinet is an efficient database library like GDBM and NDBM.
 It features hash database and B+ tree database and is developed as the
 successor of QDBM, for the purpose of the following three points: higher
 processing speed, smaller size of a database file, and simpler API.
 .
 This is the Tokyo Cabinet Database utilities package.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -g -Wall -Wextra $(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),-O0,-O2)
LDFLAGS= -Wl,-z,defs

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	    $(if $(findstring $(DEB_BUILD_ARCH),s390 s390x),--disable-pthread) \
	    --enable-devel --enable-off64 --enable-swab \
	    --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
	    CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"

clean:
	dh $@
	! test -e Makefile || $(MAKE) distclean
	rm -f build-*-stamp

override_dh_strip:
	dh_strip --dbg-package=libtokyocabinet-dbg

## tokyocabinet 1.4.48

=== bros/Makefile ===
--- 
+++ 
@@ -11,7 +11,8 @@
 SHELL = /bin/sh
 
 # Targets
-MYBINS = tctest qdbmtest ndbmtest sdbmtest gdbmtest tdbtest cdbtest bdbtest
+MYBINS = tctest qdbmtest ndbmtest sdbmtest gdbmtest tdbtest cdbtest bdbtest \
+  maptest sqltest cmpsqltctest
 
 
 
@@ -102,5 +103,31 @@
 	  -static -L/usr/local/bdb/lib -ldb -lpthread -lc
 
 
+maptest : maptest.cc
+	LD_LIBRARY_PATH="$(LD_LIBRARY_PATH):.:.." ; PATH="$(PATH):.:.." ; \
+	  export LD_LIBRARY_PATH PATH ; ldflags=`tcucodec conf -l` ; \
+	  [ -z "$$ldflags" ] && \
+	    ldflags="-L/usr/local/lib -ltokyocabinet -lz -lpthread -lm -lc" ; \
+	  g++ -I.. -I/usr/local/include -D_GNU_SOURCE=1 \
+	    -Wall -ansi -pedantic -O3 -o $@ maptest.cc \
+	    -static -L. -L.. -lstdc++ $$ldflags
+
+
+sqltest : sqltest.c
+	gcc -I/usr/local/include -D_GNU_SOURCE=1 \
+	  -Wall -O3 -o $@ sqltest.c \
+	  -static -L/usr/local/lib -lsqlite3 -lpthread -ldl -lc
+
+
+cmpsqltctest : cmpsqltctest.c
+	LD_LIBRARY_PATH="$(LD_LIBRARY_PATH):.:.." ; PATH="$(PATH):.:.." ; \
+	  export LD_LIBRARY_PATH PATH ; ldflags=`tcucodec conf -l` ; \
+	  [ -z "$$ldflags" ] && \
+	    ldflags="-L/usr/local/lib -ltokyocabinet -lz -lpthread -lm -lc" ; \
+	  gcc -std=c99 -I.. -I/usr/local/include -D_GNU_SOURCE=1 \
+	    -Wall -pedantic -O3 -o $@ cmpsqltctest.c \
+	    -static -L. -L.. -lsqlite3 -lpthread -ldl $$ldflags
+
+
 
 # END OF FILE

=== example/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Makefile for sample programs of Hyper Estraier
+# Makefile for sample programs of Tokyo Cabinet
 
 
 
@@ -11,13 +11,14 @@
 SHELL = /bin/sh
 
 # Targets
-MYBINS = tcutilex tchdbex tcbdbex tcfdbex tctdbex tcadbex
+MYBINS = tcutilex tchdbex tcbdbex tcfdbex tctdbex tcadbex tctchat.cgi tctsearch.cgi
 
 # Building binaries
 CC = gcc
-CFLAGS = -ansi -Wall -pedantic -I. -I.. -Wall
+CFLAGS = -I. -I.. -ansi -Wall -pedantic -fsigned-char -O2
+C99FLAGS = -I. -I.. -std=c99 -Wall -pedantic -fsigned-char -O2
 LDFLAGS =
-LIBS = -L. -L.. -ltokyocabinet -lz -lpthread -lm -lc
+LIBS = -L. -L.. -ltokyocabinet -lz -lbz2 -lpthread -lm -lc
 LDENV = LD_RUN_PATH=/lib:/usr/lib:$(HOME)/lib:/usr/local/lib:.:..
 
 
@@ -44,10 +45,14 @@
 
 
 clean :
-	rm -rf $(MYBINS) *.exe *.o a.out check.out gmon.out leak.log casket* *~
+	rm -rf $(MYBINS) *.exe *.o a.out check.out gmon.out leak.log casket* *.tct *.idx.* *~
 
 
-.PHONY : all clean
+static :
+	make LDFLAGS="$(LDFLAGS) -static"
+
+
+.PHONY : all clean static tctchat.tct tctsearch.tct
 
 
 
@@ -80,5 +85,29 @@
 	$(LDENV) $(CC) $(CFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)
 
 
+tctchat.cgi : tctchat.c
+	$(LDENV) $(CC) $(C99FLAGS) -o $@ $< $(LDFLAGS) $(LIBS)
+
+
+tctsearch.cgi : tctsearch.c
+	$(LDENV) $(CC) $(C99FLAGS) -o $@ $< $(LDFLAGS) $(LIBS)
+
+
+tctchat.tct :
+	rm -rf tctchat.tct*
+	LD_LIBRARY_PATH=/usr/local/lib:.:.. ../tctmgr create tctchat.tct
+	LD_LIBRARY_PATH=/usr/local/lib:.:.. ../tctmgr setindex -it qgram tctchat.tct "t"
+	chmod 666 tctchat.tct*
+
+
+tctsearch.tct :
+	rm -rf tctsearch.tct*
+	LD_LIBRARY_PATH=/usr/local/lib:.:.. ../tctmgr create tctsearch.tct
+	LD_LIBRARY_PATH=/usr/local/lib:.:.. ../tctmgr setindex -it qgram tctsearch.tct "text"
+	LD_LIBRARY_PATH=/usr/local/lib:.:.. ../tctmgr setindex -it qgram tctsearch.tct "title"
+	../lab/htmltotsv .. | \
+	  LD_LIBRARY_PATH=/usr/local/lib:.:.. ../tctmgr importtsv tctsearch.tct
+
+
 
 # END OF FILE

=== debian/changelog ===
tokyocabinet (1.4.48-2) unstable; urgency=low

  * Fix "[Mayhem] Bug report on tokyocabinet-bin: tcucodec crashes with exit
    status 139": New patch 0012-fix_segv_tcbsdecode.patch  (Closes: #716716)
  * tokyocabinet-dbg should be Multi-Arch:same

 -- Tobias Frost <tobi@coldtobi.de>  Fri, 12 Jul 2013 00:45:02 +0200

tokyocabinet (1.4.48-1) unstable; urgency=low

  * New upstream release
  * Enable hardening
  * Add watchfile (Closes: #697555)
  * Enable parallel build
  * Bump S-V to 3.9.4, no changes necessary

 -- Tobias Frost <tobi@coldtobi.de>  Wed, 15 May 2013 23:10:28 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 Build-Depends: autotools-dev,
                chrpath,
                debhelper (>= 9),
+	       hardening-wrapper,
                libbz2-dev,
                zlib1g-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://fallabs.com/tokyocabinet/
 Vcs-Browser: https://gitorious.org/tokyocabinet-debian/tokyocabinet-debian/trees/master
 Vcs-Git: http://git.gitorious.org/tokyocabinet-debian/tokyocabinet-debian.git
@@ -30,6 +31,7 @@
 Priority: extra
 Section: debug
 Architecture: any
+Multi-Arch: same
 Depends: libtokyocabinet9 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,23 @@
 #!/usr/bin/make -f
 
-CFLAGS = -g -Wall -Wextra $(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),-O0,-O2)
-LDFLAGS= -Wl,-z,defs
+# enable hardening
+export DEB_BUILD_HARDENING=1
+
+# Support parallel build
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+   NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+   MAKEFLAGS += -j$(NUMJOBS)
+endif
+
+CFLAGS += -g -Wall -Wextra $(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),-O0,-O2)
+LDFLAGS+= -Wl,-z,defs
 
 DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

=== debian/watch ===
version=3
http://fallabs.com/tokyocabinet/ (?:.*/|)tokyocabinet[_\-]?(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Tue, 29 Jan 2013 21:23:27 +0000
